module Encoding.QuotedPrintable
  ( encqp
  , decqp
  ) where

import qualified Codec.Binary.QuotedPrintable as QP
import Data.ByteString.UTF8 as BSU      -- from utf8-string
import qualified Data.ByteString.Char8 as C

import qualified Data.Text as T
import qualified Data.Text.Encoding as T
-- import qualified Data.Text.IO as T

decqp :: String -> String
decqp input =
   case QP.decode (BSU.fromString input) of
     Right decoded -> T.unpack (T.decodeUtf8 decoded)
     Left _ -> "Error decoding QP.\n"

encqp :: String -> String
encqp = C.unpack . QP.encode . BSU.fromString

